SSS_USERADD(8)

NAME
sss_useradd - crea un usuari nou

SYNOPSIS

sss_useradd [OPCIONS] INICI DE SESSIÓ

DESCRIPCIÓ

sss_useradd crea un nou compte d'usuari utilitzant els valors especificats a la línia d'ordres més els valors per defecte del sistema.

OPCIONS

-u,--uid UID
    Especifica l'UID de l'usuari al valor d'UID. Si no es dóna, és seleccionat automàticament.

-c,--gecos COMMENTARI
    Qualsevol cadena de text que descriu a l'usuari. Sovint s'utilitza com el camp pel nom i cognoms de l'usuari.

-h,--home HOME_DIR
    El directori personal del compte d'usuari. Per defecte s'afegeix el NOM D'USUARI a / home i s'utilitza allò com el directori personal. La base que s'afegeix abans del NOM D'USUARI és personalitzable amb el paràmetre “user_defaults/baseDirectory” de l'sssd.conf.

-s,--shell INTÈRPRET D'ORDRES
    L'intèrpret d'ordres de l'usuari. Per defecte és /bin/bash. Es pot canviar el valor per defecte amb el paràmetre “user_defaults/defaultShell” de l'sssd.conf.

-G,--groups GRUPS
    Una llista dels grups existents on n'és també membre aquest usuari.

-m,--create-home
    Crea el directori personal de l'usuari si no existeix. Al directori personal es copiaran els fitxers i directoris continguts en el directori esquelet (que es pot definir amb l'opció -k o en el fitxer de configuració).

-M,--no-create-home
    No crea el directori personal de l'usuari. Invalida els paràmetres de configuració.

-k,--skel DIRECTORI ESQUELET
    The skeleton directory, which contains files and directories to be copied in the user's home directory, when the home directory is created by sss_useradd.

    Special files (block devices, character devices, named pipes and unix sockets) will not be copied.

    This option is only valid if the -m (or --create-home) option is specified, or creation of home directories is set to TRUE in the configuration.

-Z,--selinux-user SELINUX_USER
    The SELinux user for the user's login. If not specified, the system default will be used.

-?,--help
    Display help message and exit.

THE LOCAL DOMAIN

In order to function correctly, a domain with “id_provider=local” must be created and the SSSD must be running.

The administrator might want to use the SSSD local users instead of traditional UNIX users in cases where the group nesting (see sss_groupadd(8)) is needed. The local users are also useful for testing and development of the SSSD without having to deploy a full remote server. The sss_user* and sss_group* tools use a local LDB storage to store users and groups.

VEGEU TAMBÉ

sssd(8), sssd.conf(5), sssd-ldap(5), sssd-krb5(5), sssd-simple(5), sssd-ipa(5), sssd-ad(5), sssd-sudo(5),sss_cache(8), sss_debuglevel(8), sss_groupadd(8), sss_groupdel(8), sss_groupshow(8), sss_groupmod(8), sss_useradd(8), sss_userdel(8), sss_usermod(8), sss_obfuscate(8), sss_seed(8), sssd_krb5_locator_plugin(8), sss_ssh_authorizedkeys(8), sss_ssh_knownhostsproxy(8),sssd-ifp(5),pam_sss(8). sss_rpcidmapd(5)

AUTHORS

La font de l'SSSD - http://fedorahosted.org/sssd